Skip to main content

Bitmoji3DOptions.BaseBodyParams

Class

Body parameters for base Bitmoji avatar customization.

  • Available on all platforms
Platform details: Snapchat, SPECS, Camera Kit Web, Camera Kit Mobile fully supported.

Platform details

  • Snapchat — Fully supported.

  • SPECS — Fully supported.

  • Camera Kit Web — Fully supported.

  • Camera Kit Mobile — Fully supported.

Body parameters for base Bitmoji avatar customization. Used with requestBaseBitmoji3DResourceWithOptions to specify body type without relying on user avatar data.

Index

Extends

Properties

bodyType

bodyType: BodyType

The body type of the avatar.

Default Value

null

breastType

breastType: BreastType

The breast type of the avatar.

Default Value

null

gender

gender: Gender

The gender of the avatar.

Default Value

null

Methods

create()

static create(): BaseBodyParams

Creates a new BaseBodyParams instance for customizing base avatar body parameters.

Returns

BaseBodyParams

Since

Lens Scripting Version 256


getTypeName()

static getTypeName(): TypeName<BaseBodyParams>

Returns the fully-qualified JavaScript type name for this class (for example, "Component.Camera"). This is a static accessor (no instance required) and returns the same value as the instance getTypeName().

Returns

TypeName<BaseBodyParams>

Overrides

ScriptObject.getTypeName


getTypeName()

getTypeName(): string

Returns the name of this object's type.

Returns

string

Inherited from

ScriptObject.getTypeName


isOfType()

isOfType(type): boolean

Returns true if the object matches or derives from the passed in type.

Parameters

ParameterType
typestring

Returns

boolean

Inherited from

ScriptObject.isOfType


isSame()

isSame(other): boolean

Returns true if this object is the same as other. Useful for checking if two references point to the same thing.

Parameters

ParameterType
otherScriptObject

Returns

boolean

Inherited from

ScriptObject.isSame